#include <bits/stdc++.h>

using namespace std;

long zbirN(long n) {
    return n*(n+1)/2;
}

long nizN(long niz[], long k) {
    long i = 1;
    long suma = 0;
    while (k != 0) {
        suma += niz[i]*zbirN(i);
        k -= niz[i];
        i++;
    }
    return suma;
}

void dodajJedan(long niz[]) {
    long i = 1;
    while (1) {
        if (niz[i] != 0) {
            niz[i]--;
            niz[i+1]++;
            break;
        }
        else {
            i++;
        }
    }
}

int main() {
    long t, n, m , k;
    bool pom;
    long glGrupa;
    static long grupe[10000];

    cin >> t;

    for (long ite = 0; ite < t; ite++) {
        cin >> n >> m >> k;

        pom = false;
        glGrupa = n - k + 1;
        grupe[1] = k - 1;

        if (k == 1) {
            if (zbirN(glGrupa) <= m) {
                cout << "Tak" << endl;
                continue;
            }
            else {
                cout << "Nie" << endl;
                continue; 
            }   
        }
        

        while (glGrupa != 0) {
            if (m >= nizN(grupe, k-1) + zbirN(glGrupa)) {
                cout << "Tak" << endl;
                pom = true;
                break;
            }

            glGrupa--;
            dodajJedan(grupe);
        }

        if (!pom)
            cout << "Nie" << endl;
    }
    return 0;
}